Resolve entities
Resolve a specific query to bounded public entity identifiers and detail paths. Bulk listing queries are rejected.
GET
/
v1
/
entities
/
resolve
Resolve entities
curl --request GET \
--url https://api.qoory.ai/v1/entities/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qoory.ai/v1/entities/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qoory.ai/v1/entities/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"kind": "entity_resolve",
"types": [
"project",
"token",
"x_account"
],
"limit": 8,
"results": [
{
"type": "project",
"id": "uniswap",
"slug": "uniswap",
"label": "Uniswap",
"subtitle": null,
"detail_path": "/v1/projects/uniswap",
"context": {}
},
{
"type": "token",
"id": "uniswap-uni",
"slug": null,
"label": "Uniswap",
"subtitle": "UNI",
"detail_path": null,
"context": {
"symbol": "UNI"
}
},
{
"type": "x_account",
"id": "46d1f8fd-e456-4f66-bf2b-a774aaf6dcd5",
"slug": null,
"label": "X account",
"subtitle": null,
"detail_path": "/v1/x-accounts/46d1f8fd-e456-4f66-bf2b-a774aaf6dcd5",
"context": {}
}
]
},
"meta": {
"request_id": "req_example",
"credits_used": 1,
"credits_remaining": 99,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key is invalid."
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 100,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Not enough credits are available for this request."
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 0,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The API key does not have the required scope."
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 100,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request parameters are invalid.",
"details": [
{
"path": "limit",
"message": "Expected a value within the documented range.",
"code": "too_big"
}
]
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 100,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded."
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 100,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "The request could not be completed."
},
"meta": {
"request_id": "req_example",
"credits_used": 0,
"credits_remaining": 100,
"rate_limit": {
"limit": 30,
"remaining": 29,
"reset_at": "2026-06-26T00:00:00.000Z",
"tier": "free"
}
}
}Authorizations
Use the HTTP authentication scheme with a Qoory API key.
Query Parameters
Specific entity name, symbol, slug, or X handle to resolve.
Required string length:
2 - 500Optional entity family or families to search. Omit to search every supported family.
Available options:
project, fund, person, token, stock, x_account Maximum number of items to return. This API does not expose pagination for this operation.
Required range:
1 <= x <= 20Previous
Search peopleSearch bounded Qoory person identity fields. This is not a profile or bulk people export endpoint.
Next
⌘I
Resolve entities
